List eligible currencies (V2)
curl --request GET \
--url https://{environment}.ebury.io/v2/beneficiaries/eligibility/bank-countries/{bank_country}/currencies \
--header 'Authorization: <authorization>'import requests
url = "https://{environment}.ebury.io/v2/beneficiaries/eligibility/bank-countries/{bank_country}/currencies"
headers = {"Authorization": "<authorization>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<authorization>'}};
fetch('https://{environment}.ebury.io/v2/beneficiaries/eligibility/bank-countries/{bank_country}/currencies', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://{environment}.ebury.io/v2/beneficiaries/eligibility/bank-countries/{bank_country}/currencies",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: <authorization>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://{environment}.ebury.io/v2/beneficiaries/eligibility/bank-countries/{bank_country}/currencies"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "<authorization>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://{environment}.ebury.io/v2/beneficiaries/eligibility/bank-countries/{bank_country}/currencies")
.header("Authorization", "<authorization>")
.asString();require 'uri'
require 'net/http'
url = URI("https://{environment}.ebury.io/v2/beneficiaries/eligibility/bank-countries/{bank_country}/currencies")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = '<authorization>'
response = http.request(request)
puts response.read_body{
"currencies": [
{
"code": "<string>",
"name": "<string>"
}
]
}{
"code": "<string>",
"details": "<string>",
"message": "<string>"
}{
"code": "<string>",
"details": "<string>",
"message": "<string>"
}{
"code": "<string>",
"details": "<string>",
"message": "<string>"
}{
"code": "<string>",
"details": "<string>",
"message": "<string>"
}Beneficiaries V2
List eligible currencies (V2)
Returns the currencies eligible for online beneficiary creation for the given bank country. Returns 404 if the country is not recognised, and an empty list if the country is recognised but every currency is blocked.
GET
/
v2
/
beneficiaries
/
eligibility
/
bank-countries
/
{bank_country}
/
currencies
List eligible currencies (V2)
curl --request GET \
--url https://{environment}.ebury.io/v2/beneficiaries/eligibility/bank-countries/{bank_country}/currencies \
--header 'Authorization: <authorization>'import requests
url = "https://{environment}.ebury.io/v2/beneficiaries/eligibility/bank-countries/{bank_country}/currencies"
headers = {"Authorization": "<authorization>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<authorization>'}};
fetch('https://{environment}.ebury.io/v2/beneficiaries/eligibility/bank-countries/{bank_country}/currencies', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://{environment}.ebury.io/v2/beneficiaries/eligibility/bank-countries/{bank_country}/currencies",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: <authorization>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://{environment}.ebury.io/v2/beneficiaries/eligibility/bank-countries/{bank_country}/currencies"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "<authorization>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://{environment}.ebury.io/v2/beneficiaries/eligibility/bank-countries/{bank_country}/currencies")
.header("Authorization", "<authorization>")
.asString();require 'uri'
require 'net/http'
url = URI("https://{environment}.ebury.io/v2/beneficiaries/eligibility/bank-countries/{bank_country}/currencies")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = '<authorization>'
response = http.request(request)
puts response.read_body{
"currencies": [
{
"code": "<string>",
"name": "<string>"
}
]
}{
"code": "<string>",
"details": "<string>",
"message": "<string>"
}{
"code": "<string>",
"details": "<string>",
"message": "<string>"
}{
"code": "<string>",
"details": "<string>",
"message": "<string>"
}{
"code": "<string>",
"details": "<string>",
"message": "<string>"
}Headers
The access token.
Path Parameters
The ISO 3166-1 alpha-2 code of the bank country to look up.
Required string length:
2Response
The currencies eligible for online beneficiary creation for a given bank country.
The currencies eligible for online beneficiary creation for a given bank country.
The eligible currencies.
Show child attributes
Show child attributes